summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound/abcmidi')
-rw-r--r--media-sound/abcmidi/ChangeLog8
-rw-r--r--media-sound/abcmidi/abcmidi-2009.07.22.ebuild30
-rw-r--r--media-sound/abcmidi/metadata.xml5
3 files changed, 43 insertions, 0 deletions
diff --git a/media-sound/abcmidi/ChangeLog b/media-sound/abcmidi/ChangeLog
new file mode 100644
index 000000000..bfd3e5f96
--- /dev/null
+++ b/media-sound/abcmidi/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for media-sound/abcmidi
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 15 Sep 2009; Roman Zimmermann (mereandor) <mereandor@gmail.org>
+ +abcmidi-2009.07.22.ebuild, +metadata.xml:
+ New Ebuild for bug 76017 thanks to José Romildo Malaquias
+
diff --git a/media-sound/abcmidi/abcmidi-2009.07.22.ebuild b/media-sound/abcmidi/abcmidi-2009.07.22.ebuild
new file mode 100644
index 000000000..c1c0d9c6d
--- /dev/null
+++ b/media-sound/abcmidi/abcmidi-2009.07.22.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MY_PV=${PV//./-}
+DESCRIPTION="Programs for processing ABC music notation files"
+HOMEPAGE="http://abc.sourceforge.net/abcMIDI/"
+SRC_URI="http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-${MY_PV}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+S=${WORKDIR}/${PN}
+
+src_compile() {
+ emake -f makefiles/unix.mak CFLAGS="-c -DANSILIBS ${CFLAGS}" \
+ || die "emake failed"
+}
+
+src_install() {
+ dobin abc2abc abc2midi abcmatch mftext midi2abc midicopy yaps || die
+ doman doc/*.1 || die
+ dodoc doc/AUTHORS doc/CHANGES doc/*.txt || die
+ docinto programming || die
+ dodoc doc/programming/* || die
+ insinto /usr/share/doc/${P} || die
+ doins demo.abc || die
+}
diff --git a/media-sound/abcmidi/metadata.xml b/media-sound/abcmidi/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/media-sound/abcmidi/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>